README.md

    React-Bootstrap

    Bootstrap 5 components built with React.

    GitHub Actions CI status Travis CI Build status npm Codecov Discord Netlify

    Bootstrap compatibility

    React-Bootstrap is compatible with various versions of Bootstrap. As such, you need to ensure you are using the correct combination of versions.

    See the below table on which version of React-Bootstrap you should be using in your project.

    Bootstrap Version React-Bootstrap Version Documentation
    v5.x 2.x beta Link
    v4.x 1.x Link
    v3.x 0.33.x (not maintained) Link

    Migrating from previous versions

    Bootstrap 4 to Bootstrap 5

    If you would like to update React-Bootstrap within an existing project to use Bootstrap 5, please read our docs for migrating to React-Bootstrap V2.

    Bootstrap 3 to Bootstrap 4

    If you would like to update React-Bootstrap within an existing project to use Bootstrap 4, please read our docs for migrating to React-Bootstrap V1.

    Related modules

    Local setup

    Yarn is our package manager of choice here. Check out setup instructions here if you don't have it installed already. After that you can run yarn run bootstrap to install all the needed dependencies.

    From there you can:

    • Run the tests once with yarn test (Or run them in watch mode with yarn run tdd).
    • Start a local copy of the docs site with yarn start
    • Or build a local copy of the library with yarn run build

    CodeSandbox Examples

    Click here to explore some React-Bootstrap CodeSandbox examples.

    Click here to automatically open CodeSandbox with the React-Bootstrap CodeSandbox Examples GitHub Repository as a workspace.

    Contributions

    Yes please! See the contributing guidelines for details.

    项目简介

    🚀 Github 镜像仓库 🚀

    源项目地址

    https://github.com/react-bootstrap/react-bootstrap

    发行版本 18

    v2.0.0-beta.4

    全部发行版

    贡献者 308

    全部贡献者

    开发语言

    • JavaScript 59.9 %
    • TypeScript 37.8 %
    • SCSS 2.3 %
    • Shell 0.0 %